Subject: [Sigtran] Coordinated service outage cannot be initiated from an ASP (AS)

From: Ilie Glib <[email-masked]>
Date: Fri, 6 Jan 2006 09:54:31 +0100

Hello Folks,

SUA RFC 3868 (section 3.4.6.  Destination Restricted (DRST))

allows sending of DRST from SGs only. Therefore coordinated service
outage cannot be initiated from an ASP (AS).
In my view use of ASPTM is not equivalent to SCCP SOR and SOG
messages, and ASP-Inactive cannot be translated to SOR in the SG.

Is it a fault in the RFC or was it done on purpose?

Thank you in advance

--
Ilie

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 6 Jan 2006 09:34:06 -0700

Ilie,

Check back in the mail archive.
This was discussed on several occasions before.

--brian

Ilie Glib wrote:                                                      (Fri, 06 Jan 2006 09:54:31)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Ilie Glib <[email-masked]>
Date: Fri, 6 Jan 2006 18:31:29 +0100

Brian,

I remember the outcome of the question in my recent mail on SOR/SOG.
I have also searched for SOG/SOR and DRST, ASP on IETF mail archive
and been not able to find the answer to my today's question.

Today the question is a little bit different.
The problem is that DRST message cannot be sent from ASPs according to
current text in the SUA RFC, the implementers' guide does not provide
any corrections. Note 1 in section 3.4.6. does not help either.
Therefore an ASP cannot answer with an DRST representing SOG in
response to a SOR received from an SS7 peer, and an ASP cannot request
Coordinated service outage. The latter perhaps is not so important
since it is rather unlikely that all ASPs serving an AS go out of
service.

Regards

Ilie

--
Ilie

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 6 Jan 2006 11:44:55 -0700

Ilie,

You obviously did not look in the mail archive.

Look in the mail archive.

Look for Subject line "SUA: Indication from ASP to SGP for
SOR/SOG and TCAP traffic stop" starting May 15, 2002.

Hey, just search on SOG.

--brian

Ilie Glib wrote:                                                      (Fri, 06 Jan 2006 18:31:29)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Ilie Glib <[email-masked]>
Date: Mon, 9 Jan 2006 18:33:19 +0100

Brian,

I am sorry about bothering you with my mails, but obviously I am not
the first one who asks this same question.

> You obviously did not look in the mail archive.
I swear on The Bible I have searched the IETF site, but my search was
powered by... ;). You can try yourself to search for SOR SOG TCAP
traffic stop.

Thank you very much indeed for your help.

--
Ilie

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 9 Jan 2006 12:20:34 -0700

Ilie,

The thread is attached.

--brian

Ilie Glib wrote:                                                      (Mon, 09 Jan 2006 18:33:19)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Subject: RE: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and TCAP traffic stop
From: [email-masked]
To: <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 30 May 2002 09:37:46 +0300
List-Id: Signaling Transport <sigtran.ietf.org>

Hi Francois & Brian,

I would support someone documenting how to solve this for
SUA.  It could be placed in an implementation guide or
an extension.

John

> -----Original Message-----
> From: ext Zannin, Francois [mailto:[email-masked]]
> Sent: 29 May, 2002 10:31
> To: [email-masked]
> Cc: [email-masked]
> Subject: RE: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and
> TCAP traffic stop
> 
> 
> 
> Brian and others,
> 
> What about the TCAP close dialog? A solution should be to use 
> the ACTIVE message with a void TID range for the concerned 
> RC. In that case, no new transaction will be initiated 
> through the "exiting" ASP until it decide to send the 
> INACTIVE once all it's dialog are close.
> 
> This behavior of the INACTIVE message on the SG must be 
> specified if we want to have SG/AS that can inter operate for 
> different vendor!
> 
> This consideration should be included in the draft or an 
> implementation guide.
> 
> Francois Z.
> 
> 
> > -----Original Message-----
> > From: Brian F. G. Bidulock [mailto:[email-masked]]
> > Sent: Friday, May 17, 2002 9:16 PM
> > To: Zannin, Francois
> > Cc: [email-masked]
> > Subject: Re: [Sigtran] SUA: Indication from ASP to SGP for 
> SOR/SOG and
> > TCAP traffic stop
> > 
> > 
> > Francois,
> > 
> > IMO the existing text is sufficient.
> > 
> > --brian
> > 
> > Zannin, Francois wrote:                                   
> > (Fri, 17 May 2002 10:56:50)
> > > Brian,
> > > 
> > > You are right about note 1 associated to the DRST. A 
> > reading shows that 
> > > N-COORD indication and confirm means a message from the ASP 
> > to the SG(p), 
> > > can we modify the text that describe the DRST (text coming 
> > from M3UA) 
> > > that may give some doubts about the possibility to send 
> > this message from 
> > > an ASP to a SGP.
> > > 
> > > " 3.4.6 Destination Restricted (DRST) 
> > >  
> > >    The DRST message is optionally sent from the SG to all 
> concerned 
> > >    ASPs  ... "
> > > >>> There is no information saying that the DRST can be 
> > send from the ASP to the SGP.  
> > > 
> > > "   This message is optional for the SG to send and it is 
> > optional for 
> > >    the ASP to act on any information received in the message."
> > > >>> This information may be completed to specify that it is 
> > not optional when the DRST is used to carry the SOR/SOG messages.
> > > 
> > > 
> > > My concern was also about the possibility stop new 
> > transaction for a specific ASP. 
> > > I understand that the right solution should be to use TUA 
> > instead of SUA for TCAP 
> > > but while the TID range is included in the SUA protocol, it 
> > may be a good idea to 
> > > have all the messages needed to handle TCAP transactions.
> > > 
> > > Because the DRST can be used to carry SOR/SOG from the ASP 
> > to the SGP, what else 
> > > can be used to carry this "TCAP" needed message from the 
> > ASP to the SGP?
> > > 
> > > Francois.
> > > 
> > > 
> > > > -----Original Message-----
> > > > From: Brian F. G. Bidulock [mailto:[email-masked]]
> > > > Sent: Wednesday, May 15, 2002 8:35 PM
> > > > To: Zannin, Francois
> > > > Cc: [email-masked]
> > > > Subject: Re: [Sigtran] SUA: Indication from ASP to SGP 
> > for SOR/SOG and
> > > > TCAP traffic stop
> > > > 
> > > > 
> > > > Francois,
> > > > 
> > > > If you read Note 1 under the DRST message you will see that
> > > > the message is for both the SG to AS direction and the AS
> > > > to SG direction for N-COORD.  This is all four: requestion
> > > > indication, response and confirmation.  There is nothing
> > > > missing.
> > > > 
> > > > --brian
> > > > 
> > > > Zannin, Francois wrote:                                   
> > > > (Wed, 15 May 2002 11:07:55)
> > > > > Hi,
> > > > > 
> > > > > In the SUA draft, top-level application or management 
> > > > > application can be synchronized through N_COORD primitives 
> > > > > in a SSNM DRST message.
> > > > > 
> > > > > This message exists only from the SG (p) to the AS (p). 
> > > > > When the application (or the AS management) receive an 
> > > > > N-COORD request and need to respond by a N_COORD response, 
> > > > > which message from the ASP to the SGP must be used to carry 
> > > > > this information?
> > > > > 
> > > > > If an indication has to be added to transport this 
> information, 
> > > > > isn't it an opportunity to also add the missing message that 
> > > > > can be used to inform a SG (p) that an ASP do not need to 
> > > > > receive any "new" transaction for TCAP applications?
> > > > > 
> > > > > Francois.
> > > > > 
> > > > > 

Subject: Re: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and TCAP traffic stop
From: "Brian F. G. Bidulock" <[email-masked]>
To: "Zannin, Francois" <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 May 2002 12:32:17 -0500
List-Id: Signaling Transport <sigtran.ietf.org>

Francois,

I'm sorry but there is really no way to do this with SUA as it stands.
I proposed a registration/deregistration of TIDs some time back, but
it was replaced with the inferior lable approach (which doesn't keep
state for things like transactions or connections).  For transactions,
use TUA to get past this defficiency.  CO is out of luck unless the
WG would like to consider including registration/deregistration of
connections again.

I had actually hoped that this issues would have been properly resolved
before the SUA was moved forward, however, there are those who have had
a hard time understanding the problem.  Thus the inferior solution.

--brian

Zannin, Francois wrote:                                   (Wed, 29 May 2002 09:31:25)
> 
> Brian and others,
> 
> What about the TCAP close dialog? A solution should be to use the ACTIVE
> message with a void TID range for the concerned RC. In that case, no new
> transaction will be initiated through the "exiting" ASP until it decide to
> send the INACTIVE once all it's dialog are close.
> 
> This behavior of the INACTIVE message on the SG must be specified if we want
> to have SG/AS that can inter operate for different vendor!
> 
> This consideration should be included in the draft or an implementation
> guide.
> 
> Francois Z.
> 
> 
> > -----Original Message-----
> > From: Brian F. G. Bidulock [mailto:[email-masked]]
> > Sent: Friday, May 17, 2002 9:16 PM
> > To: Zannin, Francois
> > Cc: [email-masked]
> > Subject: Re: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and
> > TCAP traffic stop
> > 
> > 
> > Francois,
> > 
> > IMO the existing text is sufficient.
> > 
> > --brian
> > 
> > Zannin, Francois wrote:                                   
> > (Fri, 17 May 2002 10:56:50)
> > > Brian,
> > > 
> > > You are right about note 1 associated to the DRST. A 
> > reading shows that 
> > > N-COORD indication and confirm means a message from the ASP 
> > to the SG(p), 
> > > can we modify the text that describe the DRST (text coming 
> > from M3UA) 
> > > that may give some doubts about the possibility to send 
> > this message from 
> > > an ASP to a SGP.
> > > 
> > > " 3.4.6 Destination Restricted (DRST) 
> > >  
> > >    The DRST message is optionally sent from the SG to all concerned 
> > >    ASPs  ... "
> > > >>> There is no information saying that the DRST can be 
> > send from the ASP to the SGP.  
> > > 
> > > "   This message is optional for the SG to send and it is 
> > optional for 
> > >    the ASP to act on any information received in the message."
> > > >>> This information may be completed to specify that it is 
> > not optional when the DRST is used to carry the SOR/SOG messages.
> > > 
> > > 
> > > My concern was also about the possibility stop new 
> > transaction for a specific ASP. 
> > > I understand that the right solution should be to use TUA 
> > instead of SUA for TCAP 
> > > but while the TID range is included in the SUA protocol, it 
> > may be a good idea to 
> > > have all the messages needed to handle TCAP transactions.
> > > 
> > > Because the DRST can be used to carry SOR/SOG from the ASP 
> > to the SGP, what else 
> > > can be used to carry this "TCAP" needed message from the 
> > ASP to the SGP?
> > > 
> > > Francois.
> > > 
> > > 
> > > > -----Original Message-----
> > > > From: Brian F. G. Bidulock [mailto:[email-masked]]
> > > > Sent: Wednesday, May 15, 2002 8:35 PM
> > > > To: Zannin, Francois
> > > > Cc: [email-masked]
> > > > Subject: Re: [Sigtran] SUA: Indication from ASP to SGP 
> > for SOR/SOG and
> > > > TCAP traffic stop
> > > > 
> > > > 
> > > > Francois,
> > > > 
> > > > If you read Note 1 under the DRST message you will see that
> > > > the message is for both the SG to AS direction and the AS
> > > > to SG direction for N-COORD.  This is all four: requestion
> > > > indication, response and confirmation.  There is nothing
> > > > missing.
> > > > 
> > > > --brian
> > > > 
> > > > Zannin, Francois wrote:                                   
> > > > (Wed, 15 May 2002 11:07:55)
> > > > > Hi,
> > > > > 
> > > > > In the SUA draft, top-level application or management 
> > > > > application can be synchronized through N_COORD primitives 
> > > > > in a SSNM DRST message.
> > > > > 
> > > > > This message exists only from the SG (p) to the AS (p). 
> > > > > When the application (or the AS management) receive an 
> > > > > N-COORD request and need to respond by a N_COORD response, 
> > > > > which message from the ASP to the SGP must be used to carry 
> > > > > this information?
> > > > > 
> > > > > If an indication has to be added to transport this information, 
> > > > > isn't it an opportunity to also add the missing message that 
> > > > > can be used to inform a SG (p) that an ASP do not need to 
> > > > > receive any "new" transaction for TCAP applications?
> > > > > 
> > > > > Francois.
> > > > > 
> > > > > 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Subject: RE: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and TCAP traffic stop
From: "Zannin, Francois" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 29 May 2002 09:31:25 +0200

Brian and others,

What about the TCAP close dialog? A solution should be to use the ACTIVE message with a void TID range for the concerned RC. In that case, no new transaction will be initiated through the "exiting" ASP until it decide to send the INACTIVE once all it's dialog are close.

This behavior of the INACTIVE message on the SG must be specified if we want to have SG/AS that can inter operate for different vendor!

This consideration should be included in the draft or an implementation guide.

Francois Z.

> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: Friday, May 17, 2002 9:16 PM
> To: Zannin, Francois
> Cc: [email-masked]
> Subject: Re: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and
> TCAP traffic stop
> 
> 
> Francois,
> 
> IMO the existing text is sufficient.
> 
> --brian
> 
> Zannin, Francois wrote:                                   
> (Fri, 17 May 2002 10:56:50)
> > Brian,
> > 
> > You are right about note 1 associated to the DRST. A 
> reading shows that 
> > N-COORD indication and confirm means a message from the ASP 
> to the SG(p), 
> > can we modify the text that describe the DRST (text coming 
> from M3UA) 
> > that may give some doubts about the possibility to send 
> this message from 
> > an ASP to a SGP.
> > 
> > " 3.4.6 Destination Restricted (DRST) 
> >  
> >    The DRST message is optionally sent from the SG to all concerned 
> >    ASPs  ... "
> > >>> There is no information saying that the DRST can be 
> send from the ASP to the SGP.  
> > 
> > "   This message is optional for the SG to send and it is 
> optional for 
> >    the ASP to act on any information received in the message."
> > >>> This information may be completed to specify that it is 
> not optional when the DRST is used to carry the SOR/SOG messages.
> > 
> > 
> > My concern was also about the possibility stop new 
> transaction for a specific ASP. 
> > I understand that the right solution should be to use TUA 
> instead of SUA for TCAP 
> > but while the TID range is included in the SUA protocol, it 
> may be a good idea to 
> > have all the messages needed to handle TCAP transactions.
> > 
> > Because the DRST can be used to carry SOR/SOG from the ASP 
> to the SGP, what else 
> > can be used to carry this "TCAP" needed message from the 
> ASP to the SGP?
> > 
> > Francois.
> > 
> > 
> > > -----Original Message-----
> > > From: Brian F. G. Bidulock [mailto:[email-masked]]
> > > Sent: Wednesday, May 15, 2002 8:35 PM
> > > To: Zannin, Francois
> > > Cc: [email-masked]
> > > Subject: Re: [Sigtran] SUA: Indication from ASP to SGP 
> for SOR/SOG and
> > > TCAP traffic stop
> > > 
> > > 
> > > Francois,
> > > 
> > > If you read Note 1 under the DRST message you will see that
> > > the message is for both the SG to AS direction and the AS
> > > to SG direction for N-COORD.  This is all four: requestion
> > > indication, response and confirmation.  There is nothing
> > > missing.
> > > 
> > > --brian
> > > 
> > > Zannin, Francois wrote:                                   
> > > (Wed, 15 May 2002 11:07:55)
> > > > Hi,
> > > > 
> > > > In the SUA draft, top-level application or management 
> > > > application can be synchronized through N_COORD primitives 
> > > > in a SSNM DRST message.
> > > > 
> > > > This message exists only from the SG (p) to the AS (p). 
> > > > When the application (or the AS management) receive an 
> > > > N-COORD request and need to respond by a N_COORD response, 
> > > > which message from the ASP to the SGP must be used to carry 
> > > > this information?
> > > > 
> > > > If an indication has to be added to transport this information, 
> > > > isn't it an opportunity to also add the missing message that 
> > > > can be used to inform a SG (p) that an ASP do not need to 
> > > > receive any "new" transaction for TCAP applications?
> > > > 
> > > > Francois.
> > > > 
> > > > 

Subject: Re: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and TCAP traffic stop
From: "Brian F. G. Bidulock" <[email-masked]>
To: "Zannin, Francois" <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 May 2002 14:15:47 -0500
List-Id: Signaling Transport <sigtran.ietf.org>

Francois,

IMO the existing text is sufficient.

--brian

Zannin, Francois wrote:                                   (Fri, 17 May 2002 10:56:50)
> Brian,
> 
> You are right about note 1 associated to the DRST. A reading shows that 
> N-COORD indication and confirm means a message from the ASP to the SG(p), 
> can we modify the text that describe the DRST (text coming from M3UA) 
> that may give some doubts about the possibility to send this message from 
> an ASP to a SGP.
> 
> " 3.4.6 Destination Restricted (DRST) 
>  
>    The DRST message is optionally sent from the SG to all concerned 
>    ASPs  ... "
> >>> There is no information saying that the DRST can be send from the ASP to the SGP.  
> 
> "   This message is optional for the SG to send and it is optional for 
>    the ASP to act on any information received in the message."
> >>> This information may be completed to specify that it is not optional when the DRST is used to carry the SOR/SOG messages.
> 
> 
> My concern was also about the possibility stop new transaction for a specific ASP. 
> I understand that the right solution should be to use TUA instead of SUA for TCAP 
> but while the TID range is included in the SUA protocol, it may be a good idea to 
> have all the messages needed to handle TCAP transactions.
> 
> Because the DRST can be used to carry SOR/SOG from the ASP to the SGP, what else 
> can be used to carry this "TCAP" needed message from the ASP to the SGP?
> 
> Francois.
> 
> 
> > -----Original Message-----
> > From: Brian F. G. Bidulock [mailto:[email-masked]]
> > Sent: Wednesday, May 15, 2002 8:35 PM
> > To: Zannin, Francois
> > Cc: [email-masked]
> > Subject: Re: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and
> > TCAP traffic stop
> > 
> > 
> > Francois,
> > 
> > If you read Note 1 under the DRST message you will see that
> > the message is for both the SG to AS direction and the AS
> > to SG direction for N-COORD.  This is all four: requestion
> > indication, response and confirmation.  There is nothing
> > missing.
> > 
> > --brian
> > 
> > Zannin, Francois wrote:                                   
> > (Wed, 15 May 2002 11:07:55)
> > > Hi,
> > > 
> > > In the SUA draft, top-level application or management 
> > > application can be synchronized through N_COORD primitives 
> > > in a SSNM DRST message.
> > > 
> > > This message exists only from the SG (p) to the AS (p). 
> > > When the application (or the AS management) receive an 
> > > N-COORD request and need to respond by a N_COORD response, 
> > > which message from the ASP to the SGP must be used to carry 
> > > this information?
> > > 
> > > If an indication has to be added to transport this information, 
> > > isn't it an opportunity to also add the missing message that 
> > > can be used to inform a SG (p) that an ASP do not need to 
> > > receive any "new" transaction for TCAP applications?
> > > 
> > > Francois.
> > > 
> > > 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Subject: RE: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and TCAP traffic stop
From: "Zannin, Francois" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Cc: "Zannin, Francois" <[email-masked]>
Date: Fri, 17 May 2002 10:56:50 +0200

Brian,

You are right about note 1 associated to the DRST. A reading shows that 
N-COORD indication and confirm means a message from the ASP to the SG(p), 
can we modify the text that describe the DRST (text coming from M3UA) 
that may give some doubts about the possibility to send this message from 
an ASP to a SGP.

" 3.4.6 Destination Restricted (DRST) 
 
   The DRST message is optionally sent from the SG to all concerned 
   ASPs  ... "
>>> There is no information saying that the DRST can be send from the ASP to the SGP.  

"   This message is optional for the SG to send and it is optional for 
   the ASP to act on any information received in the message."
>>> This information may be completed to specify that it is not optional when the DRST is used to carry the SOR/SOG messages.

My concern was also about the possibility stop new transaction for a specific ASP. 
I understand that the right solution should be to use TUA instead of SUA for TCAP 
but while the TID range is included in the SUA protocol, it may be a good idea to 
have all the messages needed to handle TCAP transactions.

Because the DRST can be used to carry SOR/SOG from the ASP to the SGP, what else 
can be used to carry this "TCAP" needed message from the ASP to the SGP?

Francois.

> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: Wednesday, May 15, 2002 8:35 PM
> To: Zannin, Francois
> Cc: [email-masked]
> Subject: Re: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and
> TCAP traffic stop
> 
> 
> Francois,
> 
> If you read Note 1 under the DRST message you will see that
> the message is for both the SG to AS direction and the AS
> to SG direction for N-COORD.  This is all four: requestion
> indication, response and confirmation.  There is nothing
> missing.
> 
> --brian
> 
> Zannin, Francois wrote:                                   
> (Wed, 15 May 2002 11:07:55)
> > Hi,
> > 
> > In the SUA draft, top-level application or management 
> > application can be synchronized through N_COORD primitives 
> > in a SSNM DRST message.
> > 
> > This message exists only from the SG (p) to the AS (p). 
> > When the application (or the AS management) receive an 
> > N-COORD request and need to respond by a N_COORD response, 
> > which message from the ASP to the SGP must be used to carry 
> > this information?
> > 
> > If an indication has to be added to transport this information, 
> > isn't it an opportunity to also add the missing message that 
> > can be used to inform a SG (p) that an ASP do not need to 
> > receive any "new" transaction for TCAP applications?
> > 
> > Francois.
> > 
> > 

Subject: Re: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and TCAP traffic stop
From: "Brian F. G. Bidulock" <[email-masked]>
To: "Zannin, Francois" <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 May 2002 13:35:25 -0500
List-Id: Signaling Transport <sigtran.ietf.org>

Francois,

If you read Note 1 under the DRST message you will see that
the message is for both the SG to AS direction and the AS
to SG direction for N-COORD.  This is all four: requestion
indication, response and confirmation.  There is nothing
missing.

--brian

Zannin, Francois wrote:                                   (Wed, 15 May 2002 11:07:55)
> Hi,
> 
> In the SUA draft, top-level application or management 
> application can be synchronized through N_COORD primitives 
> in a SSNM DRST message.
> 
> This message exists only from the SG (p) to the AS (p). 
> When the application (or the AS management) receive an 
> N-COORD request and need to respond by a N_COORD response, 
> which message from the ASP to the SGP must be used to carry 
> this information?
> 
> If an indication has to be added to transport this information, 
> isn't it an opportunity to also add the missing message that 
> can be used to inform a SG (p) that an ASP do not need to 
> receive any "new" transaction for TCAP applications?
> 
> Francois.
> 
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

Subject: [Sigtran] SUA: Indication from ASP to SGP for SOR/SOG and TCAP traffic stop
From: "Zannin, Francois" <[email-masked]>
To: <[email-masked]>
Date: Wed, 15 May 2002 11:07:55 +0200
List-Id: Signaling Transport <sigtran.ietf.org>

Hi,

In the SUA draft, top-level application or management 
application can be synchronized through N_COORD primitives 
in a SSNM DRST message.

This message exists only from the SG (p) to the AS (p). 
When the application (or the AS management) receive an 
N-COORD request and need to respond by a N_COORD response, 
which message from the ASP to the SGP must be used to carry 
this information?

If an indication has to be added to transport this information, 
isn't it an opportunity to also add the missing message that 
can be used to inform a SG (p) that an ASP do not need to 
receive any "new" transaction for TCAP applications?

Francois.